Package com.mockobjects.naming.directory

# Class MockAttribute

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.naming.directory.MockAttribute

All Implemented Interfaces:
  `Verifiable`, `Serializable`, `Cloneable`, `Attribute`

public class MockAttribute extends MockObject implements Attribute

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface javax.naming.directory.Attribute

`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`MockAttribute()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int index, Object object)`
`boolean`
`add(Object object)`
`void`
`clear()`
`Object`
`clone()`
`boolean`
`contains(Object object)`
`Object`
`get()`
`Object`
`get(int index)`
`NamingEnumeration`
`getAll()`
`DirContext`
`getAttributeDefinition()`
`DirContext`
`getAttributeSyntaxDefinition()`
`String`
`getID()`
`boolean`
`isOrdered()`
`Object`
`remove(int index)`
`boolean`
`remove(Object object)`
`Object`
`set(int index, Object object)`
`void`
`setupGet(Object aObjectToReturn)`
`int`
`size()`
`String`
`toString()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MockAttribute

public MockAttribute()

## Method Details

### getAll

public NamingEnumeration getAll() throws NamingException

Specified by:
  `getAll` in interface `Attribute`
Throws:
  `NamingException`

### setupGet

public void setupGet(Object aObjectToReturn)

### get

public Object get() throws NamingException

Specified by:
  `get` in interface `Attribute`
Throws:
  `NamingException`

### size

public int size()

Specified by:
  `size` in interface `Attribute`

### getID

public String getID()

Specified by:
  `getID` in interface `Attribute`

### contains

public boolean contains(Object object)

Specified by:
  `contains` in interface `Attribute`

### add

public boolean add(Object object)

Specified by:
  `add` in interface `Attribute`

### remove

public boolean remove(Object object)

Specified by:
  `remove` in interface `Attribute`

### clear

public void clear()

Specified by:
  `clear` in interface `Attribute`

### getAttributeSyntaxDefinition

public DirContext getAttributeSyntaxDefinition() throws NamingException

Specified by:
  `getAttributeSyntaxDefinition` in interface `Attribute`
Throws:
  `NamingException`

### getAttributeDefinition

public DirContext getAttributeDefinition() throws NamingException

Specified by:
  `getAttributeDefinition` in interface `Attribute`
Throws:
  `NamingException`

### clone

public Object clone()

Specified by:
  `clone` in interface `Attribute`

### isOrdered

public boolean isOrdered()

Specified by:
  `isOrdered` in interface `Attribute`

### get

public Object get(int index) throws NamingException

Specified by:
  `get` in interface `Attribute`
Throws:
  `NamingException`

### remove

public Object remove(int index)

Specified by:
  `remove` in interface `Attribute`

### add

public void add(int index, Object object)

Specified by:
  `add` in interface `Attribute`

### set

public Object set(int index, Object object)

Specified by:
  `set` in interface `Attribute`

### toString

public String toString()

Overrides:
  `toString` in class `Object`